http://iotanalytics.{region}.amazonaws.com/pipelines/{pipelineName}/reprocessing/{reprocessingId}Cancels the reprocessing of data through the pipeline.
The name of pipeline for which data reprocessing is canceled.
The ID of the reprocessing task (returned by <code>StartPipelineReprocessing</code>).
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request DELETE \2 --url 'http://iotanalytics.{region}.amazonaws.com/pipelines/{pipelineName}/reprocessing/{reprocessingId}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://iotanalytics.{region}.amazonaws.com/pipelines/{pipelineName}/reprocessing/{reprocessingId}Cancels the reprocessing of data through the pipeline.
The name of pipeline for which data reprocessing is canceled.
The ID of the reprocessing task (returned by <code>StartPipelineReprocessing</code>).
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request DELETE \2 --url 'http://iotanalytics.{region}.amazonaws.com/pipelines/{pipelineName}/reprocessing/{reprocessingId}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}